View Issue Details

IDProjectCategoryView StatusLast Update
0005436DarkRadiantGUIpublic16.12.2020 15:30
Reportergrayman Assigned Togreebo  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.9.1 
Target Version2.10.0Fixed in Version2.10.0 
Summary0005436: Feature request: User control of font size of "size" numbers on ortho screen
DescriptionSee this thread.

https://forums.thedarkmod.com/index.php?/topic/20670-size-of-size-text-in-dr/&tab=comments#elControls_453827_menu
TagsNo tags attached.

Activities

greebo

greebo

02.12.2020 14:41

administrator   ~0013068

Do you need separate control over the font sizes used for the grid text and the size info text? Or should both use the same size?
grayman

grayman

02.12.2020 15:16

administrator   ~0013070

If, by "grid text", you mean the x/y/z coordinates at the upper-left-hand corner of the selected objects, then yes, because they don't scale either.

The same user-controlled setting could be used for both.

Thanks.
greebo

greebo

02.12.2020 15:39

administrator   ~0013071

By grid text I meant the grid coordinates at the left/upper boundary of the orthos, by "size info text" I meant the extents of the selected objects, see the attached image:
texts.png (40,692 bytes)   
texts.png (40,692 bytes)   
grayman

grayman

02.12.2020 18:11

administrator   ~0013079

The numbers in red are what I'd like to adjust.

The grid text could use it too
greebo

greebo

03.12.2020 13:45

administrator   ~0013082

Ok, gotcha
greebo

greebo

03.12.2020 14:51

administrator   ~0013083

The preference setting can be found here:
grayman

grayman

03.12.2020 15:00

administrator   ~0013084

Thanks!
Bikerdude

Bikerdude

16.12.2020 15:30

reporter   ~0013146

Nice work Greebo.

Related Changesets

DarkRadiant: master 58e5d87f

2020-11-30 04:32:25

greebo

Details Diff
0005436: Use FTGL namespace when accessing the FT API Affected Issues
0005436
mod - libs/wxutil/GLFont.cpp Diff File
mod - radiant/render/OpenGLModule.cpp Diff File

DarkRadiant: master 275d1949

2020-12-01 17:37:35

greebo

Details Diff
0005436: Move GLFont file pair to radiant module, it's an implementation detail and not related to wxWidgets at all Affected Issues
0005436
mod - libs/wxutil/Makefile.am Diff File
mod - radiant/Makefile.am Diff File
mod - radiant/render/OpenGLModule.cpp Diff File
mod - radiant/render/OpenGLModule.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master fec5f41e

2020-12-01 18:02:18

greebo

Details Diff
0005436: Create IGLFont interface and let OpenGLModule return shared references to those FTGL wrappers. Declare drawString() method on the font itself. Affected Issues
0005436
mod - include/igl.h Diff File
mod - radiant/render/GLFont.cpp Diff File
mod - radiant/render/GLFont.h Diff File
mod - radiant/render/OpenGLModule.cpp Diff File
mod - radiant/render/OpenGLModule.h Diff File

DarkRadiant: master ce89bf05

2020-12-02 13:56:22

greebo

Details Diff
0005436: Migrate XYWnd to use its own IGLFont instance Affected Issues
0005436
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File

DarkRadiant: master 8889bb47

2020-12-02 14:11:58

greebo

Details Diff
0005436: Add preference option for the XYWnd font size Affected Issues
0005436
mod - install/user.xml Diff File
mod - radiant/xyview/GlobalXYWnd.cpp Diff File
mod - radiant/xyview/GlobalXYWnd.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File

DarkRadiant: master 8f1b7175

2020-12-02 14:20:05

greebo

Details Diff
0005436: XYWnd font style is selectable too Affected Issues
0005436
mod - install/user.xml Diff File
mod - radiant/xyview/GlobalXYWnd.cpp Diff File
mod - radiant/xyview/GlobalXYWnd.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master c723dd0a

2020-12-02 14:37:45

greebo

Details Diff
0005436: Implement weak font cache in OpenGLModule Affected Issues
0005436
mod - radiant/render/OpenGLModule.cpp Diff File
mod - radiant/render/OpenGLModule.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master e78d92e5

2020-12-02 16:23:20

greebo

Details Diff
0005436: Remove OpenGLBinding::drawChar method Affected Issues
0005436
mod - include/igl.h Diff File
mod - radiant/render/OpenGLModule.cpp Diff File
mod - radiant/render/OpenGLModule.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master eaf7f1e9

2020-12-02 16:37:41

greebo

Details Diff
0005436: Migrate RenderPreview to use IGLFont Affected Issues
0005436
mod - install/user.xml Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - libs/wxutil/preview/RenderPreview.h Diff File

DarkRadiant: master a1415441

2020-12-02 17:22:18

greebo

Details Diff
0005436: Migrate CamWnd to use IGLFont Affected Issues
0005436
mod - install/user.xml Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/CameraSettings.cpp Diff File
mod - radiant/camera/CameraSettings.h Diff File

DarkRadiant: master 55b292f1

2020-12-03 14:43:17

greebo

Details Diff
0005436: Migrate RotateManipulator to use IGLFont Affected Issues
0005436
mod - install/user.xml Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File

DarkRadiant: master b903b57e

2020-12-03 14:49:23

greebo

Details Diff
0005436: Add needed module dependency Affected Issues
0005436
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File

DarkRadiant: master 94760330

2020-12-05 08:01:13

greebo

Details Diff
0005436: Move OpenGLModule to radiantcore binary Affected Issues
0005436
mod - radiant/Makefile.am Diff File
mod - radiantcore/Makefile.am Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/properties/ftgl.props Diff File

DarkRadiant: master 491c0a29

2020-12-05 08:05:31

greebo

Details Diff
0005436: Fix warnings Affected Issues
0005436
mod - radiantcore/rendersystem/OpenGLModule.cpp Diff File

DarkRadiant: master 28cabda9

2020-12-06 03:12:26

greebo

Details Diff
0005425, 0005436: Compilation fixes Affected Issues
0005425, 0005436
mod - radiant/camera/CameraSettings.h Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiantcore/Makefile.am Diff File

Issue History

Date Modified Username Field Change
29.11.2020 22:36 grayman New Issue
30.11.2020 02:08 greebo Status new => acknowledged
30.11.2020 02:08 greebo Product Version 2.9.2 => 2.9.1
01.12.2020 18:02 greebo Status acknowledged => confirmed
01.12.2020 18:02 greebo Assigned To => greebo
01.12.2020 18:02 greebo Status confirmed => assigned
01.12.2020 18:02 greebo Changeset attached => DarkRadiant master 58e5d87f
01.12.2020 18:02 greebo Changeset attached => DarkRadiant master 275d1949
01.12.2020 18:02 greebo Changeset attached => DarkRadiant master fec5f41e
02.12.2020 14:39 greebo Changeset attached => DarkRadiant master ce89bf05
02.12.2020 14:39 greebo Changeset attached => DarkRadiant master 8889bb47
02.12.2020 14:39 greebo Changeset attached => DarkRadiant master 8f1b7175
02.12.2020 14:39 greebo Changeset attached => DarkRadiant master c723dd0a
02.12.2020 14:41 greebo Note Added: 0013068
02.12.2020 15:16 grayman Note Added: 0013070
02.12.2020 15:39 greebo Note Added: 0013071
02.12.2020 15:39 greebo File Added: texts.png
02.12.2020 18:11 grayman Note Added: 0013079
03.12.2020 13:45 greebo Note Added: 0013082
03.12.2020 14:46 greebo Changeset attached => DarkRadiant master e78d92e5
03.12.2020 14:46 greebo Changeset attached => DarkRadiant master eaf7f1e9
03.12.2020 14:46 greebo Changeset attached => DarkRadiant master a1415441
03.12.2020 14:46 greebo Changeset attached => DarkRadiant master 55b292f1
03.12.2020 14:46 greebo Target Version => 2.10.0
03.12.2020 14:49 greebo Changeset attached => DarkRadiant master b903b57e
03.12.2020 14:51 greebo Note Added: 0013083
03.12.2020 14:51 greebo File Added: 2020-12-03 15_50_01-unnamed.map.png
03.12.2020 14:55 greebo Status assigned => resolved
03.12.2020 14:55 greebo Resolution open => fixed
03.12.2020 14:55 greebo Fixed in Version => 2.10.0
03.12.2020 15:00 grayman Note Added: 0013084
03.12.2020 15:32 greebo Fixed in Version 2.10.0 => 2.9.2
03.12.2020 15:32 greebo Target Version 2.10.0 => 2.9.2
05.12.2020 08:02 greebo Changeset attached => DarkRadiant master 94760330
05.12.2020 08:05 greebo Changeset attached => DarkRadiant master 491c0a29
06.12.2020 03:34 greebo Changeset attached => DarkRadiant master 28cabda9
13.12.2020 06:22 greebo Fixed in Version 2.9.2 => 2.10.0
13.12.2020 06:22 greebo Target Version 2.9.2 => 2.10.0
16.12.2020 15:30 Bikerdude Note Added: 0013146